%ifarch x86_64
  %define platnum   64
  %define platdir   lib64
  %define platstr   64 bit
  %define platform  linuxx86_64
%else
  %define platnum   32
  %define platdir   lib
  %define platstr   32 bit
  %define platform  linuxintel
%endif

%define version     0.9.6
%define name        clamsap
%define packname    clamsap-%{version}
%define requiresp   clamav >= 0.96.1

Summary: Virus Scan Adapter (VSA) for ClamAV
Name: %{name}
Version: %{version}
Release: 1
License: GPL (clamsap), MIT (clamdsap)
Group: Security
Source: %{name}-%{version}.tar.gz
URL: http://sourceforge.net/projects/clamsap/
BuildRoot: /var/tmp/%{name}-buildroot
Provides: %{packname}
Requires: %{requiresp}

%description
This package provides two %{platstr} shared libraries which link SAP (NW-VSI) and ClamAV
The library clamsap links directly to clamav engine library, the library clamdsap uses the clamd
scan daemon to scan for viruses. Both libraries enable a SAP system to perform antivirus scans.

%prep

%setup 

%build
./configure --prefix=$RPM_BUILD_ROOT --libdir=$RPM_BUILD_ROOT/%{platdir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{platdir}
make install
cp $RPM_BUILD_DIR/%{packname}/src/.libs/libclamsap.so.%{version} $RPM_BUILD_ROOT/%{platdir}
cp $RPM_BUILD_DIR/%{packname}/src/.libs/libclamdsap.so.%{version} $RPM_BUILD_ROOT/%{platdir}

%post
ln -fs /%{platdir}/libclamsap.so.%{version} /%{platdir}/libclamsap.so
ln -fs /%{platdir}/libclamdsap.so.%{version} /%{platdir}/libclamdsap.so
/sbin/ldconfig

%pre

%postun 
rm -f /%{platdir}/libclamsap.so*
rm -f /%{platdir}/libclamdsap.so*

%files
%defattr(655,root,root)
%exclude /%{platdir}/*.a
%exclude /%{platdir}/*.la
%exclude /%{platdir}/libclamsap.so
%exclude /%{platdir}/libclamdsap.so
/%{platdir}/libclamsap.so.%{version}
/%{platdir}/libclamdsap.so.%{version}

%changelog
* Thu Nov 02 2010  Markus Strehle 
- Initial release (source 0.9.6.stable) 
